# Create database (/docs/management-api/endpoints/databases/post-projects-by-project-id-databases)

Location: Management API > Endpoints > Databases > Create database

Creates a new database for the given project.

## API reference

### Create database

`POST /v1/projects/{projectId}/databases`

Creates a new database for the given project.

#### Parameters

- `projectId` (path, string, required)

#### Request body

- `region` (string, optional): Default: `us-east-1`.
- `name` (string, optional)
- `isDefault` (boolean, optional): Default: `false`.
- `fromDatabase` (object, optional): Deprecated: use `source` instead.
- `source` (optional)

#### Responses

- `201`: Created a new database for the project.
- `400`: The request is invalid due to missing or invalid parameters.
- `401`: Missing or invalid authorization token.
- `403`: Project does not belong to the service token’s workspace.

## Related pages

- [`Create database`](https://www.prisma.io/docs/management-api/endpoints/databases/post-databases): Creates a new database in the specified project.
- [`Delete database`](https://www.prisma.io/docs/management-api/endpoints/databases/delete-databases-by-database-id): Deletes the database with the given ID.
- [`Get database`](https://www.prisma.io/docs/management-api/endpoints/databases/get-databases-by-database-id): Returns the database with the given ID.
- [`Get list of databases`](https://www.prisma.io/docs/management-api/endpoints/databases/get-projects-by-project-id-databases): Returns databases for the given project.
- [`List databases`](https://www.prisma.io/docs/management-api/endpoints/databases/get-databases): Returns all databases the token has access to. Optionally filter by project ID.